POST
Attach a file to a sales order
Scope:
inventory:sales-orders.writehttps://api.holded.com/api/v2/sales-orders/{salesOrderId}/attachmentsAttaches a file to a sales order. Send the file as `multipart/form-data`. Maximum file size is 10 MB.
Parameters
Path parameters
salesOrderId
stringrequiredSales Order ID (24-char hex ObjectId)
Request body
object
filestring<binary>
The file to attach
Request
python
import requests
url = "https://api.holded.com/api/v2/sales-orders/{salesOrderId}/attachments"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
}
files = {"file": open("file.pdf", "rb")}
response = requests.post(url, headers=headers, files=files)
print(response.json())Responses
Response
json
{
"id": "507f1f77bcf86cd799439011"
}Success responses
201File attachedapplication/jsonobject
idstring
Error responses
400Bad requestapplication/json401Invalid or missing API keyapplication/json403Insufficient permissionsapplication/json404Sales order not foundapplication/json